.\" -*- nroff -*-
.\" $Id: psif.man,v 1.1 1991/07/14 14:05:13 jjc Exp $
.TH PSIF @MAN8EXT@
.SH NAME
psif \- PostScript input filter splitter for lpr
.SH SYNOPSIS
.B psif
[
.I args\|.\|.\|.
]
.SH DESCRIPTION
.B psif
executes either
.B @PS_FILTER@
or
.B @TEXT_FILTER@
according to whether or not the first two characters of its standard
input are
.BR %! .
.B psif
will arrange that the process that it executes sees the same standard
input that it did,
and will pass the process the same arguments that it received.
.LP
Usually
.B psif
will be specified as the value of
.B if
capability in the printcap entry for a PostScript printer;
.B @TEXT_FILTER@
will be a shell script that runs a text to PostScript filter
such as
.BR textps (@MAN1EXT@),
followed by a PostScript page reversal filter such as
.BR psrev (@MAN1EXT@)
(only needed for PostScript printers that stack face up),
followed by PostScript communication filter such as
.BR lprps (@MAN8EXT@);
.B @PS_FILTER@
will be similar except that it will not run the text to PostScript filter.
.SH FILES
.TP \w'\fB@TEXT_FILTER@'u+3n
.B @TEXT_FILTER@
Filter for text files.
.TP
.B @PS_FILTER@
Filter for PostScript files.
.SH "SEE ALSO"
.BR textps (@MAN1EXT@),
.BR psrev (@MAN1EXT@),
.BR printcap (5),
.BR lprps (@MAN8EXT@)
